james-server-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Matthieu Baechler (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (MAILBOX-221) Make sure we use Java-6-only API
Date Fri, 24 Apr 2015 08:56:39 GMT

     [ https://issues.apache.org/jira/browse/MAILBOX-221?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Matthieu Baechler updated MAILBOX-221:
--------------------------------------
    Attachment: 0001-MAILBOX-221-enforce-use-of-jdk-6-at-build-time.patch

Patch generated from the github PR

> Make sure we use Java-6-only API
> --------------------------------
>
>                 Key: MAILBOX-221
>                 URL: https://issues.apache.org/jira/browse/MAILBOX-221
>             Project: James Mailbox
>          Issue Type: Improvement
>            Reporter: Matthieu Baechler
>            Priority: Minor
>             Fix For: 0.6
>
>         Attachments: 0001-MAILBOX-221-enforce-use-of-jdk-6-at-build-time.patch
>
>
> Java compiler is not able to detect the use of non-java-6 API when compiled with Java
7 or Java 8. It only detects language-level features.
> However, there's a maven plugin that can check this.
> It's very valuable in a context of heterogeneous modules.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: server-dev-unsubscribe@james.apache.org
For additional commands, e-mail: server-dev-help@james.apache.org


Mime
View raw message